assignments
Get apiv1courses gradebooksetup
GET
/
api
/
v1
/
courses
/
{courseId}
/
gradebook
/
setup
cURL
curl --request GET \
--url https://tessera.edstratumlabs.ai/api/v1/courses/{courseId}/gradebook/setup \
--header 'Authorization: Bearer <token>'import requests
url = "https://tessera.edstratumlabs.ai/api/v1/courses/{courseId}/gradebook/setup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tessera.edstratumlabs.ai/api/v1/courses/{courseId}/gradebook/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"courseId": "<string>",
"mode": "weighted",
"categories": [
{
"id": "<string>",
"courseId": "<string>",
"name": "<string>",
"position": 4503599627370495,
"weight": 50,
"drop": {
"lowest": 4503599627370495,
"highest": 4503599627370495,
"keepAtLeast": 4503599627370496
},
"lateApplies": true
}
],
"late": {
"enabled": true,
"percentPerPeriod": 50,
"period": "day",
"basis": "score",
"maxPeriods": 4503599627370495,
"afterMax": "missing",
"graceMinutes": 262800
},
"missing": {
"treatAs": "zero-after-due",
"droppable": true
},
"extraCredit": {
"categoryCapPercent": 1,
"courseCapPoints": 1
},
"scheme": {
"id": "<string>",
"name": "<string>",
"bands": [
{
"letter": "<string>",
"min": 50
}
],
"rounding": {
"decimals": 1,
"mode": "half-up"
},
"letterFrom": "rounded"
},
"emptyCategory": "share-weight",
"studentNotes": [
{
"categoryId": "<string>",
"text": "<string>"
}
],
"dismissedChecks": [
{
"code": "weights-not-100",
"target": "<string>",
"by": "<string>",
"at": "<string>"
}
],
"source": {
"kind": "manual",
"designSessionId": "<string>"
},
"version": 4503599627370495,
"rulesVersion": 4503599627370495,
"updatedBy": "<string>",
"updatedAt": "<string>"
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}Authorizations
Scoped tsk_… API token or Access JWT
Path Parameters
Minimum string length:
1Response
Success
Minimum string length:
1Available options:
weighted, points Maximum array length:
100Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Allowed value:
"share-weight"Maximum array length:
100Show child attributes
Show child attributes
Maximum array length:
200Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991⌘I
cURL
